Subject: bug#993: 23.0.60; vc-find-root heuristic unreliable on Windows with Cygwin

From: Stefan Monnier <[email-masked]>
Date: Wed, 17 Sep 2008 21:21:18 -0400

> Some investigation revealed that the file I visited was owned by
> "Administrator", whereas the ".git" directory was owned by "erich".

The owner of the .git directory is irrelevant, IIUC.  What matter is the
owner of the directory in which is the .git subdirectory.

> this happens rather a lot when I use Cygwin).  Anyway, the code in
> vc-find-root explicitly stops looking for a .git directory once it's
> determined that some parent of the file in question has a different
> owner.  This heuristic probably works fine on every other platform, but
> perhaps it should be disabled on Windows, since the situation it's
> trying to prevent -- namely, "looking in things like /net and /afs" --
> is unlikely to occur on that platform anyway.

Actually, some of the problems that the owner-heuristic tries to address
are major slowdowns under w32 because of //<hostname>/ samba shares
(it's never been quite clear from where exactly does the slowdown come,
tho).

        Stefan